jQuery(function() {
    // VALIDO LOCALIZADOR
    // Si es válido paso al paso siguiente
    jQuery("#ObtenerLocalizador").click(function() {

        var FormExtraReserva   = jQuery("#FormExtraReserva"),
            ExtraAction        = FormExtraReserva.attr("action");

        FormExtraReserva.removeAttr("action");

        var localizador = jQuery("#LocalizadorExtra").val();

        // Validar localizador
        jQuery.ajax({
            type  : "POST",
            url   : "//" + location.host + "/wp-content/plugins/visitas/modules/visitas/mis_php_web/ajax/extras/validar_localizador_modificacion.php",
            data  : {
                localizador: localizador,
                tipo: jQuery("#tipo").val()
            },
            cache : false
        }).done(function(valido) {
            // Localizador válido, muestro siguiente paso
            if (valido == 1 || valido == 11) {
                var url = "//" + location.host + "/wp-content/plugins/visitas/modules/visitas/mis_php_web/modulos/extras/extras.php";
          
                jQuery.ajax({
                    type  : "POST",
                    url   : url,
                    data  : {
                        localizador: localizador                    
                    },
                    cache : false
                }).done(function(response) {

                    FormExtraReserva.attr("action", ExtraAction);
                    FormExtraReserva.submit();
                });
            }else if(valido == 2){              
                div               = document.getElementById("ValidaLocalizadorRegalar");
                div.style.display = "";
                jQuery("#ValidaLocalizadorRegalar").html(js_traducciones["extras"]["permiso_add"]);
            }else{              
                div               = document.getElementById("ValidaLocalizadorRegalar");
                div.style.display = "";
                jQuery("#ValidaLocalizadorRegalar").html(js_traducciones["modificacion"]["introduzca_localizador_valido"]);
            }
        });
        return false;
    });

  
});